Description

Para asignar recursos a una entidad hay que crear la tabla de recursos en cada copia de trabajo, por lo que se hace muy engorroso.
De debería crear en uno y poder obtenerlo en el resto (con un checkout o algo similar) o crearlo directamente en el repositorio
general.
Si cada usuario tiene que elegir el fichero de recursos (por ejemplo un gvsleg), ¿qué sentido tiene ponerlo en el repositorio?
Además para las pruebas, como trabajo sobre el mismo proyecto, no me deja crear dos tablas locales con el mismo nombre (ej
BASE_RESOURCES). Este nombre tiene ser común para cada copia de trabajo porque es genérico en el repositorio, por lo que no
puedo hacerlo todo en el mismo proyecto.

History
#1 - 04/12/2021 12:20 PM - Joaquín  del Cerro Murciano
- Hito set to Fase 01

#2 - 04/28/2021 06:14 PM - Joaquín  del Cerro Murciano
- gvSIG build set to 3219
- Target version set to 2.6.0-3220
- Status changed from New to Fixed

#3 - 05/04/2021 01:21 PM - Joaquín  del Cerro Murciano

En el build 3219 no se crea la tabla de recursos.

#4 - 05/04/2021 01:23 PM - Joaquín  del Cerro Murciano
- Status changed from Fixed to New

Reabro el ticket por que no se puede verificar el arreglo por fallos de otras cosas en el buidl 3220.

#5 - 05/04/2021 01:24 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.0-3220 to 2.6.0-3221

#6 - 05/13/2021 08:01 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed
Para asociar recursos a una tabla o entidad:
    -  Se crea la tabla de recursos en local.
    -  Se añade a una copia de trabajo
    -  Se añaden a la tabla de recursos los recursos que se deseen.
    -  Se sube al repositorio
    -  Se configuran las tablas/entidades del repositorio para indicarle cual es la tabla que han de usar para buscar sus recursos.
    -  Hasta aqui deberia hacerlo el administrador del repositorio, y solo una vez.
    -  Luego, cuando un usuario haga checkout de una tabla/entidad, si esta tiene asociada una tabla de recursos, se la descargara automaticamente.
    -  Por ultimo, ya sera el usuario el responsable de desde "mostrar cambios" mantener o no actualizada la tabla de recursos en caso de que sean
actualizados estos.

En funcion de los permisos asociados a la tabla de recursos, los usuarios podran o no actualizar/cambiar los recursos y subirlos al repositorio.

Tambien hay que tener en cuenta, que aunque se puede crear una tabla de recursos para cada tabla/entidad de repositorio, lo normal es agrupar los
recursos de las tablas del repositorio en unas pocas tablas de recursos, de forma que por ejemplo, tengamos una tabla de recursos como
"res_base_mapping" en donde esten los recursos (leyendas, por ejemplo) de todas las tablas de cartografia base,  y luego tener una tabla de recursos
por ejemplo, por cada unidad de trabajo, asi podria haber una tabla de recursos "res_urban_signage" para las tablas de señalizacion urbana.

#7 - 05/19/2021 11:39 AM - Álvaro Anguix
- Status changed from Fixed to Closed
